## lomiri-schemas 0.1.0

=== CMakeLists.txt ===
project(lomiri-schemas)
cmake_minimum_required(VERSION 3.4.0)

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 0.1.0)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
include(GNUInstallDirs)

add_subdirectory(data)

=== data/CMakeLists.txt ===
add_subdirectory(schemas)

# accountsservice/*.xml

file(GLOB_RECURSE XML_FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/*.xml")
install(DIRECTORY DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces")

foreach(XML_FILE ${XML_FILES})
    get_filename_component(XML_FILE ${XML_FILE} NAME)
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/${XML_FILE}" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
    install(CODE "message(STATUS \"Symlinking: ${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE}\")")
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces/${XML_FILE} ${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE})")
endforeach()

# accountsservice/com.lomiri.AccountsService.policy

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/com.lomiri.AccountsService.policy" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")

# accountsservice/50-com.lomiri.AccountsService.pkla

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/50-com.lomiri.AccountsService.pkla" DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")

## lomiri-schemas 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.0)
+set(PROJECT_VERSION 0.1.1)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 add_subdirectory(schemas)
+
+# lomiri-schemas.pc
+
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/lomiri-schemas.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-schemas.pc" @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-schemas.pc" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/pkgconfig/")
 
 # accountsservice/*.xml
 
@@ -8,8 +13,8 @@
 foreach(XML_FILE ${XML_FILES})
     get_filename_component(XML_FILE ${XML_FILE} NAME)
     install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/${XML_FILE}" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
-    install(CODE "message(STATUS \"Symlinking: ${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE}\")")
-    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces/${XML_FILE} ${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE})")
+    install(CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE}\")")
+    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/${XML_FILE} \$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE})")
 endforeach()
 
 # accountsservice/com.lomiri.AccountsService.policy

=== debian/changelog ===
lomiri-schemas (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_data-CMakeLists.txt-Fix-symlink-path.patch. Fix symlink path.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 07:58:09 +0100

lomiri-schemas (0.1.0-2) unstable; urgency=medium

  * Re-upload as-is and source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 15:48:43 +0100

lomiri-schemas (0.1.0-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Initial release for Debian. (Closes: #1000602).

  [ Mike Gabriel ]
  * debian/rules:
    + Add get-orig-source target for maintainers' convenience.
  * debian/copyright:
    + Update information on where copyright information has been obtained from.
    + Use secure URL in Format: field.
  * debian/control:
    + Add trainling komma to last entry in B-D: field.
  * debian/links:
    + Create symlinks that fail to be created by CMake ruleset.
      See https://gitlab.com/ubports/core/lomiri-schemas/-/issues/4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Nov 2021 13:41:50 +0100

=== debian/control ===
Source: lomiri-schemas
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras,
               intltool (>= 0.40.0),
               libglib2.0-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-schemas
Vcs-Git: https://gitlab.com/ubports/core/lomiri-schemas.git
Vcs-Browser: https://gitlab.com/ubports/core/lomiri-schemas

Package: lomiri-schemas
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Configuration schemas used by Lomiri
 The Lomiri shell is the primary user interface for Lomiri based mobile
 devices.
 .
 This package contains the configuration schemas used by Lomiri.

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-schemas/tags .*/lomiri-schemas-(\d\S+)\.tar\.gz

## lomiri-schemas 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.1)
+set(PROJECT_VERSION 0.1.2)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
lomiri-schemas (0.1.2-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_data-CMakeLists.txt-Fix-symlink-path.patch. Applied upstream.
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Fix Vcs-*: fields. Point to Salsa repo, not to upstream Git repo.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 16:05:25 +0100

## lomiri-schemas 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.2)
+set(PROJECT_VERSION 0.1.3)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
lomiri-schemas (0.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2023 16:37:17 +0100

## lomiri-schemas 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.3)
+set(PROJECT_VERSION 0.1.4)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 foreach(XML_FILE ${XML_FILES})
     get_filename_component(XML_FILE ${XML_FILE} NAME)
     install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/${XML_FILE}" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
-    install(CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE}\")")
-    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/${XML_FILE} \$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE})")
+    install(CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE}\")")
+    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/${XML_FILE} \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/${XML_FILE})")
 endforeach()
 
 # accountsservice/com.lomiri.AccountsService.policy

=== debian/changelog ===
lomiri-schemas (0.1.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-data-schemas-com.lomiri.Shell.gschema.xml.in-Add-bac.patch. Make
      background image configurable through gsettings within the
      com.lomiri.Shell namespace.
    + Add 0002-data-Add-setting-for-shell-wide-light-mode.patch. Shell-wide
      setting for light-mode.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Mar 2024 16:08:01 +0100

lomiri-schemas (0.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 14:57:18 +0100

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-schemas/tags .*/lomiri-schemas-(\d\S+)\.tar\.gz

## lomiri-schemas 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.4)
+set(PROJECT_VERSION 0.1.5)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
lomiri-schemas (0.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Drop all patches. All applied upstream.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Aug 2024 11:15:08 +0200

## lomiri-schemas 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.4.0)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.5)
+set(PROJECT_VERSION 0.1.6)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
lomiri-schemas (0.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Jan 2025 10:40:48 +0100

## lomiri-schemas 0.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(lomiri-schemas)
 cmake_minimum_required(VERSION 3.4.0)
+project(lomiri-schemas LANGUAGES NONE)
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.1.6)
+set(PROJECT_VERSION 0.1.7)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
lomiri-schemas (0.1.7-3) unstable; urgency=medium

  * debian/patches:
    + Add missing series file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:49:48 +0100

lomiri-schemas (0.1.7-2) unstable; urgency=medium

  [ Adam Havelka ]
  * debian/patches:
    + Add 2001_Replace-default-camera-and-gallery-app-naming.patch

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 14:46:37 +0100

lomiri-schemas (0.1.7-1) unstable; urgency=medium

  * New upstream release.
    - Drop .pkla file, provide polkit .rules file instead. (Closes: #1015159,
      #1093070).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 09:31:48 +0100

## lomiri-schemas 0.1.8

=== debian/changelog ===
lomiri-schemas (0.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 18:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                cmake-extras,
                intltool (>= 0.40.0),
                libglib2.0-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-schemas
-Vcs-Git: https://gitlab.com/ubports/core/lomiri-schemas.git
-Vcs-Browser: https://gitlab.com/ubports/core/lomiri-schemas
+Homepage: https://gitlab.com/ubports/development/core/lomiri-schemas
+Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-schemas.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-schemas
 
 Package: lomiri-schemas
 Architecture: all

## lomiri-schemas 0.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
project(lomiri-schemas LANGUAGES NONE)

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 0.1.9)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
include(GNUInstallDirs)

add_subdirectory(data)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/com.lomiri.AccountsService.policy" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")
 
-# accountsservice/50-com.lomiri.AccountsService.pkla
+# accountsservice/50-com.lomiri.AccountsService.rules
 
-install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/50-com.lomiri.AccountsService.pkla" DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/accountsservice/50-com.lomiri.AccountsService.rules" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")

=== data/schemas/CMakeLists.txt ===
# *.xml

find_package(GSettings)
find_package(Intltool REQUIRED)
set (ENV{LC_ALL} "C")
file(GLOB_RECURSE XML_IN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.xml.in")

foreach(XML_IN_FILE ${XML_IN_FILES})
    get_filename_component(XML_FILE ${XML_IN_FILE} NAME_WLE)
    intltool_merge_translations("${XML_IN_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${XML_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
    add_schema(${XML_FILE})
endforeach()

=== debian/changelog ===
lomiri-schemas (0.1.9-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake >= 4. (Closes: #1113245).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 20:22:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                cmake-extras,
                intltool (>= 0.40.0),
                libglib2.0-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-schemas
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-schemas.git
